Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.util
Class URI.MalformedURIException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  weblogic.apache.xerces.util.URI.MalformedURIException

All Implemented Interfaces:
  Serializable

Enclosing class:
  URI

    public static class URI.MalformedURIException

extends IOException

MalformedURIExceptions are thrown in the process of building a URI or setting fields on a URI when an operation would result in an invalid URI specification.

See Also:
  Serialized Form

Constructor Summary
`URI.MalformedURIException()` Constructs a `MalformedURIException` with no specified detail message.
`URI.MalformedURIException(String p_msg)` Constructs a `MalformedURIException` with the specified detail message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### URI.MalformedURIException

    public URI.MalformedURIException()

  Constructs a `MalformedURIException` with no specified detail message.

### URI.MalformedURIException

    public URI.MalformedURIException(String p_msg)

  Constructs a `MalformedURIException` with the specified detail message.

  Parameters:
    `p_msg` - the detail message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD